Last Comment Bug 717491 - "Warning: package error or possible missing or unnecessary file: bin/components/proxyObject.xpt (package-manifest, 151)."
: "Warning: package error or possible missing or unnecessary file: bin/componen...
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 12
Assigned To: Edmund Wong (:ewong)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 675221 713132 713133 717493
  Show dependency treegraph
 
Reported: 2012-01-11 18:38 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-19 14:15 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Removed bin/components/proxyObject.xpt. (1011 bytes, patch)
2012-01-17 20:31 PST, Edmund Wong (:ewong)
ted: review+
bugzillamozillaorg_serge_20140323: feedback+
bugspam.Callek: feedback-
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-01-11 18:38:31 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8492350&tree=Firefox&full=1
Linux x86-64 mozilla-central build on 2012-01-11 15:44:49 PST for push 8ffdb4c7404a
{
Warning: package error or possible missing or unnecessary file: bin/components/proxyObject.xpt (package-manifest, 151).
}
Comment 1 Edmund Wong (:ewong) 2012-01-17 20:31:29 PST
Created attachment 589398 [details] [diff] [review]
Removed bin/components/proxyObject.xpt.
Comment 2 Justin Wood (:Callek) 2012-01-17 22:00:58 PST
Comment on attachment 589398 [details] [diff] [review]
Removed bin/components/proxyObject.xpt.

3 more places to remove it:

http://mxr.mozilla.org/comm-central/search?string=proxyObject.xpt&find=mozilla%2F&findi=&filter=^[^\0]*%24&hitlimit=&tree=comm-central
Comment 3 Serge Gautherie (:sgautherie) 2012-01-17 22:35:18 PST
(In reply to Justin Wood (:Callek) from comment #2)
> 3 more places to remove it:

Ftr, I find "Flags: feedback-" a little harsh:
I don't think people who contribute a Firefox patch in a Firefox bug are required to care (create patch, watch trees, ...) for all other apps, are they?
Comment 4 Justin Wood (:Callek) 2012-01-17 23:10:22 PST
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> (In reply to Justin Wood (:Callek) from comment #2)
> > 3 more places to remove it:
> 
> Ftr, I find "Flags: feedback-" a little harsh:
> I don't think people who contribute a Firefox patch in a Firefox bug are
> required to care (create patch, watch trees, ...) for all other apps, are
> they?

Not sure, but just my opinion here, ted will make the real call.
Comment 5 Ted Mielczarek [:ted.mielczarek] 2012-01-18 04:56:27 PST
Comment on attachment 589398 [details] [diff] [review]
Removed bin/components/proxyObject.xpt.

Yeah, it's not going to break c-c builds. If he'd like to do a followup patch to fix those, great, but it doesn't change the status of this patch.
Comment 6 Edmund Wong (:ewong) 2012-01-18 23:32:16 PST
Pushed to mozilla-inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/7bffffb49f91
Comment 7 Matt Brubeck (:mbrubeck) 2012-01-19 10:54:38 PST
https://hg.mozilla.org/mozilla-central/rev/7bffffb49f91
Comment 8 Serge Gautherie (:sgautherie) 2012-01-19 14:15:48 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8673087&tree=Firefox&full=1
Linux x86-64 mozilla-central build on 2012-01-19 10:42:19 PST for push e5e66f40c35b

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.